pg_copy_to
pg_delete
PostgreSQL Functions
PHP Manual

# pg_dbname

(PHP 4, PHP 5)

pg_dbname — Get the database name

### Description

string pg_dbname ([ resource `$connection` ] )

pg_dbname() returns the name of the database that the given PostgreSQL `connection` resource.

### Parameters

`connection`

  PostgreSQL database connection resource. When `connection` is not present, the default connection is used. The default connection is the last connection made by pg_connect() or pg_pconnect().

### Return Values

A string containing the name of the database the `connection` is to, or `FALSE` on error.

### Examples

Example #1 pg_dbname() example

`<?php
error_reporting(E_ALL);
pg_connect("host=localhost port=5432 dbname=mary");
echo pg_dbname(); // mary
?>`

pg_copy_to
pg_delete
PostgreSQL Functions
PHP Manual